Subject: Re: [RFC:] struct net_device_ops: Add function pointer to fill device specific ndisc information

From: Stephan Gatzka <[email-masked]>
Date: Mon, 21 Jan 2013 20:25:31 +0100

> Two net_device instances on one 1394 card would be awkward:  They would
> have to share one instance of isochronous reception context (for reception
> of asynchronous 1394 streams; those are used for broadcasts and
> multicasts).  Such a sharing is surely possible, but if double net_device
> instantiation can be avoided, then avoid it.
>
> Not to mention the user interface problem of having two netifs, one which
> only supports IPv4 and another one which only supports IPv6.  So far I
> never had IPv6 configured into a Linux kernel, but I suppose that folks
> are used to be able to use eth0 etc. for both protocols.

Full ack. And that's the reason why I feel very uncomfortable with a 
Yoshifujis hardware address extensions by fifo_addr, spd, and max_rec.

This seems possible with a single netdevice for IPv4/6 only if we 
_always_ use the same fifo address for both IPv4 and IPv6. Do we all 
agree on that?

Stephan